Access
Update a user-owned Postdot API key
PATCH
sessionCookiecookie
better-auth.session_token<token>The Better Auth email/password session cookie used by the web application.
keyId*stringLength
1 <= length- body
Properties
1 <= propertiesname?stringLength
1 <= length <= 100projectIds?array<>|nullactionAccess?array<string|string|string|string|string|string|string>|nullexpiresAt?|nullResponse for status 200
application/json- response
key*curl -X PATCH 'https://postbot.example/api/api-keys/string' \
-H 'Content-Type: application/json' \
-d '{}'Example Response
{
"key": {
"id": "string",
"name": "string",
"tokenPrefix": "string",
"projectAccess": "all",
"actionAccess": "all",
"expiresAt": 0,
"createdAt": 0,
"updatedAt": 0
}
}